Module ij
Package ij

# Class Undo

java.lang.Object
ij.Undo

public class Undo extends Object
This class consists of static methods and fields that implement ImageJ's Undo command.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`COMPOUND_FILTER`
`static final int`
`COMPOUND_FILTER_DONE`
`static final int`
`FILTER`
Undo using ImageProcessor.snapshot.
`static final int`
`MACRO`
`static final int`
`NOTHING`
`static final int`
`OVERLAY_ADDITION`
`static final int`
`PASTE`
`static final int`
`ROI`
`static final int`
`TRANSFORM`
Undo using a single image, or composite color stack, copy (limited to 200MB).
`static final int`
`TYPE_CONVERSION`
Undo using an ImageProcessor copy.

## Constructor Summary

Constructors
Constructor
Description
`Undo()`

## Method Summary

Modifier and Type
Method
Description
`static void`
`reset()`
`static void`
`saveOverlay(ImagePlus imp)`
`static void`
`setup(int what, ImagePlus imp)`
`static void`
`undo()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### NOTHING

public static final int NOTHING

See Also:
  - Constant Field Values

### FILTER

public static final int FILTER
Undo using ImageProcessor.snapshot.

See Also:
  - Constant Field Values

### TYPE_CONVERSION

public static final int TYPE_CONVERSION
Undo using an ImageProcessor copy.

See Also:
  - Constant Field Values

### PASTE

public static final int PASTE

See Also:
  - Constant Field Values

### COMPOUND_FILTER

public static final int COMPOUND_FILTER

See Also:
  - Constant Field Values

### COMPOUND_FILTER_DONE

public static final int COMPOUND_FILTER_DONE

See Also:
  - Constant Field Values

### TRANSFORM

public static final int TRANSFORM
Undo using a single image, or composite color stack, copy (limited to 200MB).

See Also:
  - Constant Field Values

### OVERLAY_ADDITION

public static final int OVERLAY_ADDITION

See Also:
  - Constant Field Values

### ROI

public static final int ROI

See Also:
  - Constant Field Values

### MACRO

public static final int MACRO

See Also:
  - Constant Field Values

## Constructor Details

### Undo

public Undo()

## Method Details

### setup

public static void setup(int what, ImagePlus imp)

### saveOverlay

public static void saveOverlay(ImagePlus imp)

### reset

public static void reset()

### undo

public static void undo()